// pages/regular_msg/regular_msg.js
import international from '../../international/appointment_scence/index'
const {
  ethGet
} = require('../../utils/api/api')
import QRCode from '../../utils/util/weapp-qrcode'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
		//用户基础信息-常客
		userInfo: null,
		//国际化语言包
		international: international, 
		//中英文配置
		language: app.data.language,
		//认证显示信息列表
    msg: [{
        label_ch: '认证时间',
        label_en: 'The authentication time',
        value: '****-**-** **:**:**',
        type: 'text'
      },
      {
        label_ch: '认证人员',
        label_en: 'Certification of personnel',
        value: '***',
        type: 'text'
      },
      {
        label_ch: '手机号',
        label_en: 'Mobile phone',
        value: '***********',
        type: 'text'
      },
      {
        label_ch: '身份证号',
        label_en: 'Id number',
        value: '******************',
        type: 'text'
      },
      {
        label_ch: '卡号',
        label_en: 'Card number',
        value: '*****',
        type: 'text'
      },
		],
		//梯控二维码信息
    errorMsg: '',
    qrCodeUrl: '',
	},
	//获取梯控码信息
  async ethGet() {
    let data = {
      adminId: this.data.adminInfo.companyAdminId,
      userId: this.data.userInfo.userId
    }
    let res = await ethGet(data)
    if (res.code == 200) {
      if (res.data.ethCode) {
        this.creatQrCode(res.data.ethCode)
      }
      this.setData({
        errorMsg: ''
			});
			return;
    }
    if (res.code == 4004) {
      this.setData({
        errorMsg: res.msg+"\n\r"+"请联系管理员在平台受访人列表中添加您的信息"
			});
			return;
		}
		this.setData({
			errorMsg: ''
		})
  },
  // 创建二维码
  async creatQrCode(text) {
    let that = this
    wx.showLoading({
      title: '加载中',
    })
    new QRCode('myQrcode1', {
      text: text,
      width: 200, //canvas 画布的宽
      height: 200, //canvas 画布的高
      padding: 0, // 生成二维码四周自动留边宽度，不传入默认为0
      correctLevel: QRCode.CorrectLevel.L, // 二维码可辨识度
      callback: (res) => {
        that.setData({
          qrCodeUrl: res.path,
        })
        wx.hideLoading()
      }
		});
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      userInfo: app.data.userInfo,
      adminInfo: app.data.adminInfo,
		});
		//如果用户已经有正式的常客账号认证信息
    if (app.data.adminInfo.official) {
      this.ethGet()
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})